<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");


echo'<div class="razd"><B>Форум</B></div>';
if($status=="uzer" || $status=="gost")
{
   echo'Вам запрещено здесь находится<br>';
}

if(isset($_POST['t'])){$t = $_POST['t'];}
if(isset($_GET['t'])){$t = $_GET['t'];}

if(isset($_POST['too'])){$too = $_POST['too'];}

if(isset($_POST['param_member'])){$param_member = $_POST['param_member'];}
if(isset($_GET['param_member'])){$param_member = $_GET['param_member'];}
if(isset($_POST['txt_sob'])){$txt_sob = $_POST['txt_sob'];}
if(isset($_POST['nazv_temes'])){$nazv_temes = $_POST['nazv_temes'];}
if(isset($_POST['status_teme1'])){$status_teme1 = $_POST['status_teme1'];}
if(isset($_POST['status_teme2'])){$status_teme2 = $_POST['status_teme2'];}

///////////////////////////////////////////Меню управления темами//////////////////////////////////

if($status=="moder" || $status=="admin")
{
   if($param_member=="temes_menu")
   {
      if (eregi("[^0-9]" , $t )){ echo'запрещённые символы<br>'; }else
      {
         if($cfg_tem = file_get_contents("../data/forum/$t.tem"))
         {
            $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	    
      	    if($cfg_razd = file_get_contents("../data/forum/$cfg_tem[1].razd"))
            {
               $cfg_razd = explode("<||>",$cfg_razd);
               echo'<div class="sob"><B>'.$cfg_razd[0].'</B></div>';
               echo'Тема <B>"'.$cfg_tem[2].'"</B> ';
               if($cfg_tem[0] == "activ"){ echo'<br>'; }
               if($cfg_tem[0] == "clos"){ echo'<B>закрыта</B><br>'; }
               if($cfg_tem[0] == "zacrep"){ echo'<B>закреплена</B><br>'; }
               if($cfg_tem[0] == "zacrep_clos"){ echo'<B>закреплена и закрыта</B><br>'; }
               echo'<B>Изменяем тему</B>';
               echo'<form name="forma" action="addtemes.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
               echo'<INPUT TYPE="hidden" NAME="param_member" VALUE="temes_cfg">';
               echo'Название темы<br>';
               echo'<input type="text" name="nazv_temes" value="'.$cfg_tem[2].'" size="20" maxlength="100"><br>';
               echo'Парамет темы 1<br>';
               echo'<SELECT NAME="status_teme1">';
               if($cfg_tem[0] == "activ" || $cfg_tem[0] == "clos")
               {
                  echo'<OPTION VALUE="otcrep" selected>Откреплена';
                  echo'<OPTION VALUE="zacrep">Закреплена';
               }
               if($cfg_tem[0] == "zacrep" || $cfg_tem[0] == "zacrep_clos")
               {
                  echo'<OPTION VALUE="zacrep" selected>Закреплена';
                  echo'<OPTION VALUE="otcrep">Откреплена';
               }
               echo'</SELECT><br>';
               echo'Парамет темы 2<br>';
               echo'<SELECT NAME="status_teme2">';
               if($cfg_tem[0] == "activ" || $cfg_tem[0] == "zacrep")
               {
                  echo'<OPTION VALUE="activ" selected>Открыта';
                  echo'<OPTION VALUE="clos">Закрыта';
               }
               if($cfg_tem[0] == "clos" || $cfg_tem[0] == "zacrep_clos")
               {
                  echo'<OPTION VALUE="clos" selected>Закрыта';
                  echo'<OPTION VALUE="activ">Открыта';
               }
               echo'</SELECT><br>';
               echo'<input type="submit" name="" value="Изменить"><br></form>';
               echo'<br>';
               echo'<form name="forma" action="addtemes.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
               echo'<INPUT TYPE="hidden" NAME="param_member" VALUE="temes_too">';
               echo'<SELECT NAME="too">';
               $str = file("../data/forum/razd.dat");
               $nom = count($str);
               $i = 0;
               while($i < $nom)
               {
                  $str[$i] = trim($str[$i]);
                  $cfg_razd = file_get_contents("../data/forum/$str[$i].razd");
                  $cfg_razd = explode("<||>",$cfg_razd);//название раздела<||>кол тем<||>кол сообщ<||>посл тема<||>автор сообщ<||>ид темы посл темы<||>
                  echo'<OPTION VALUE="'.$str[$i].'">'.$cfg_razd[0].'';
                  ++$i;
               }
               echo'</SELECT><br>';
               echo'<input type="submit" name="" value="Переместить"><br></form>';
               
               echo'<a href="addtemes.php?param_member=temes_dell&amp;t='.$t.'&amp;'.SID.'">Удалить тему</a><br>';
               echo'<a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">Назад</a><br>';
            }else{ echo'Ошибка! Раздел не найден!<br>'; }
         }else{ echo'Ошибка! Тема не найдена!<br>'; }
      }
   }
   
   if($param_member=="temes_cfg")
   {
      if (eregi("[^0-9]" , $t )){ echo'запрещённые символы<br>'; }else
      {
         if($cfg_tem = file_get_contents("../data/forum/$t.tem"))
         {
            $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	    
      	    if($cfg_razd = file_get_contents("../data/forum/$cfg_tem[1].razd"))
            {
               $cfg_razd = explode("<||>",$cfg_razd);
               echo'<div class="sob"><B>'.$cfg_razd[0].'</B></div>';
               if($nazv_temes !="" && $status_teme1 !="" && $status_teme2 !="" )
               {
                  $nazv_temes=htmlspecialchars(trim($nazv_temes));
                  $st="activ";//статус темы при ошибки
                  if($status_teme1=="otcrep" && $status_teme2=="activ"){ $st="activ"; }//статус темы
                  if($status_teme1=="zacrep" && $status_teme2=="activ"){ $st="zacrep"; }//статус темы
                  if($status_teme1=="otcrep" && $status_teme2=="clos"){ $st="clos"; }//статус темы
                  if($status_teme1=="zacrep" && $status_teme2=="clos"){ $st="zacrep_clos"; }//статус темы
                  
                  $kod0=''.$st.'<||>'.$t.'<||>';//в список
                  $kod1=''.$st.'<||>'.$cfg_tem[1].'<||>'.$nazv_temes.'<||>'.$cfg_tem[3].'<||>'.$cfg_tem[4].'<||>'.$cfg_tem[5].'<||>';//в настройки темы
                  //создаём файл с параметрами темы 
                  $file_teme = fopen("../data/forum/$t.tem", "w+");
                  flock ($file_teme,LOCK_EX);
                  fputs($file_teme, $kod1);
                  flock ($file_teme,LOCK_UN);
                  fclose($file_teme);
                  @chmod("../data/forum/$t.tem", 0666);
                  
                  $str = file("../data/forum/$cfg_tem[1].temes");//изменяем в списках
                  $nom = count($str);
                  $file_temes = fopen("../data/forum/$cfg_tem[1].temes", "w+");
                  flock ($file_temes,LOCK_EX);
                  $i = 0;
                  while($i < $nom)
                  {
                     $arr=explode("<||>",$str[$i]);
                     if($arr[1] == $t)
                     {
                        $str[$i] = str_replace($str[$i],$kod0."\n",$str[$i]);//изменили тему
                     }
                     fputs($file_temes, $str[$i]);
                     ++$i;
                  }
                  fclose($file_temes);
                  @chmod("../data/forum/$cfg_tem[1].temes", 0666);
                  
                  echo'Изменео <a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">Далее</a><br>';
               }else{ echo'запрос неверен<br>'; }
            }else{ echo'Не правильно заполнена форма'; }
         }
      }
   }
   if($param_member=="temes_dell")
   {
      if (eregi("[^0-9]" , $t )){ echo'запрещённые символы<br>'; }else
      {
         
         if($t !="")
         {
            $cfg_tem = file_get_contents("../data/forum/$t.tem");
            $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	    
            
            echo'Вы уверенны?<br><a href="addtemes.php?param_member=temes_dell2&amp;t='.$t.'&amp;'.SID.'">Да!</a> <a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">Нет!</a><br>';
            
         }else{ echo'Не правильно заполнена форма'; }
      }
   }
   
   if($param_member=="temes_dell2")
   {
      if (eregi("[^0-9]" , $t )){ echo'запрещённые символы<br>'; }else
      {
         if($t !="")
         {
            if($cfg_tem = file_get_contents("../data/forum/$t.tem"))
            {
               $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	       
      	       //удаляем из списков
      	       if($str = file("../data/forum/$cfg_tem[1].temes"))
               {
                  $nom=count($str);
                  $i = 0;
                  $filelinck = fopen("../data/forum/$cfg_tem[1].temes", "w+");
                  flock ($filelinck,LOCK_EX);
                  while($i < $nom)
                  {
                     $stf = explode("<||>",$str[$i]);
                     if($stf[1] != $t)
                     {
                        fputs($filelinck,$str[$i]);
                     }
                     ++$i;
                  }
                  flock ($filelinck,LOCK_UN);
                  fclose($filelinck);
                  @chmod("../data/forum/$cfg_tem[1].temes", 0666);
               }
               //удаляем из списков популярных тем
               if($str = file("../data/forum/new.dat"))
               $nom=count($str);
               $i = 0;
               $filelinck = fopen("../data/forum/new.dat", "w+");
               flock ($filelinck,LOCK_EX);
               while($i < $nom)
               {
                  if(trim($str[$i]) != $t)
                  {
                      fputs($filelinck,$str[$i]);
                  }
                  ++$i;
               }
               flock ($filelinck,LOCK_UN);
               fclose($filelinck);
               @chmod("../data/forum/new.dat", 0666);
               
               @unlink("../data/forum/$t.tem");
               @unlink("../data/forum/$t.topik");
               echo'Удалено <a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">Далее</a><br>';
            }else{ echo'Параметры темы не найдены<br>'; }
         }else{ echo'Не правильно заполнена форма'; }
      }
   }
   
   if($param_member=="temes_too")
   {
      if ((eregi("[^0-9]" , $t )) && (eregi("[^0-9]" , $too ))){ echo'запрещённые символы<br>'; }else
      {
         if($t !="" && $too !="")
         {
            if($cfg_tem = file_get_contents("../data/forum/$t.tem"))
            {
               $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	       
      	       if(file_exists("../data/forum/$too.razd") && file_exists("../data/forum/$too.temes"))
      	       {
      	          //удаляем из списка текущего раздела
      	          if($str = file("../data/forum/$cfg_tem[1].temes"))
                  {
                     $nom=count($str);
                     $i = 0;
                     $filelinck = fopen("../data/forum/$cfg_tem[1].temes", "w+");
                     flock ($filelinck,LOCK_EX);
                     while($i < $nom)
                     {
                        $stf = explode("<||>",$str[$i]);
                        if($stf[1] != $t)
                        {
                           fputs($filelinck,$str[$i]);
                        }
                        ++$i;
                     }
                     flock ($filelinck,LOCK_UN);
                     fclose($filelinck);
                     @chmod("../data/forum/$cfg_tem[1].temes", 0666);
                  }
                  //записываем в список выбранного раздела
                  $kod0 = ''.$cfg_tem[0].'<||>'.$t.'<||>';//в список
                  $filelinck = fopen("../data/forum/$too.temes", "a+");
                  flock ($filelinck,LOCK_EX);
                  fputs($filelinck,$kod0."\n");
                  flock ($filelinck,LOCK_UN);
                  fclose($filelinck);
                  @chmod("../data/forum/$too.temes", 0666);
                  
                  
                  //изменяем счетчики в старом разделе
                  $cfg_razd = file_get_contents("../data/forum/$cfg_tem[1].razd");
                  $cfg_razd = explode("<||>",$cfg_razd);
                  $kod1=''.$cfg_razd[0].'<||>'.($cfg_razd[1] - 1).'<||>'.($cfg_razd[2] - $cfg_tem[3]).'<||>'.$cfg_razd[3].'<||>'.$cfg_razd[4].'<||>'.$cfg_razd[5].'<||>';//в настройки раздела
                  $file_teme = fopen("../data/forum/$cfg_tem[1].razd", "w+");
                  flock ($file_teme,LOCK_EX);
                  fputs($file_teme, $kod1);
                  flock ($file_teme,LOCK_UN);
                  fclose($file_teme);
                  @chmod("../data/forum/$cfg_tem[1].razd", 0666);
                  
                  
                  //меняем настройки темы
                  $kod1=''.$cfg_tem[0].'<||>'.$too.'<||>'.$cfg_tem[2].'<||>'.$cfg_tem[3].'<||>'.$cfg_tem[4].'<||>'.$cfg_tem[5].'<||>';//в настройки темы
                  //создаём файл с параметрами темы 
                  $file_teme = fopen("../data/forum/$t.tem", "w+");
                  flock ($file_teme,LOCK_EX);
                  fputs($file_teme, $kod1);
                  flock ($file_teme,LOCK_UN);
                  fclose($file_teme);
                  @chmod("../data/forum/$t.tem", 0666);
                  
                  
                  //изменяем счетчики в новом разделе
                  $cfg_razd = file_get_contents("../data/forum/$too.razd");
                  $cfg_razd = explode("<||>",$cfg_razd);
                  $kod1=''.$cfg_razd[0].'<||>'.($cfg_razd[1] + 1).'<||>'.($cfg_razd[2] + $cfg_tem[3]).'<||>'.$cfg_razd[3].'<||>'.$cfg_razd[4].'<||>'.$cfg_razd[5].'<||>';//в настройки раздела
                  $file_teme = fopen("../data/forum/$too.razd", "w+");
                  flock ($file_teme,LOCK_EX);
                  fputs($file_teme, $kod1);
                  flock ($file_teme,LOCK_UN);
                  fclose($file_teme);
                  @chmod("../data/forum/$too.razd", 0666);
                  
                  
                  echo'Готово <a href="temes.php?r='.$too.'&amp;'.SID.'">Далее</a><br>';
               }else{ echo'Выбранный раздел не найден<br>'; }
            }else{ echo'Параметры темы не найдены<br>'; }
         }else{ echo'Не правильно заполнена форма'; }
      }
   }
}


//////////////////////////////////////////////////Конец, спасибо за внимание/////////////////////////////////////////////////
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>